Bug 985819 - Does not configure winbind for krb5 auth
Does not configure winbind for krb5 auth
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: realmd (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Stef Walter
David Spurek
:
Depends On: 983153
Blocks: 917637
  Show dependency treegraph
 
Reported: 2013-07-18 06:14 EDT by Patrik Kis
Modified: 2015-03-02 00:27 EST (History)
5 users (show)

See Also:
Fixed In Version: realmd-0.14.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 983153
Environment:
Last Closed: 2014-06-13 08:49:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66831 None None None Never

  None (edit)
Description Patrik Kis 2013-07-18 06:14:45 EDT
+++ This bug was initially created as a clone of Bug #983153 +++

When I use realmd to join a domain with winbind, I would expect it to set the 'krb5_auth=yes' and 'krb5_ccache_file=FILE' options in pam_winbind.conf. And probably also 'cached_login=yes'.

It doesn't appear to do so.

--- Additional comment from Stef Walter on 2013-07-11 19:30:28 CEST ---

(In reply to David Woodhouse from comment #0)
> When I use realmd to join a domain with winbind, I would expect it to set
> the 'krb5_auth=yes' and 'krb5_ccache_file=FILE' options in pam_winbind.conf.

You probably mean krb5_ccache_type=FILE right? But seems to make sense.

> And probably also 'cached_login=yes'.

Makes sense.

--- Additional comment from David Woodhouse on 2013-07-11 22:01:27 CEST ---

Yes, I did mean that. Sorry. And it should be in the right place, not /tmp/krb5cc_%{uid}.

--- Additional comment from Stef Walter on 2013-07-15 15:12:23 CEST ---

Patch upstream for realmd. Although think that /tmp/krb5cc_%U is hard coded into samba. :(
Comment 1 Stef Walter 2013-07-19 12:35:21 EDT
Fix upstream in realmd git master.
Comment 3 Ludek Smid 2014-06-13 08:49:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.